import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../../../apiParams.dart';
import '../talkApi.dart';

class DeleteMessage extends TalkApi {
  String chatToken;
  int messageId;
  DeleteMessage(this.chatToken, this.messageId) : super("v1/chat/$chatToken/$messageId", null);

  @override
  assemble(String raw) {
    return null;
  }

  @override
  Future<Response>? request(Uri uri, ApiParams? body, Map<String, String>? headers) {
    return http.delete(uri, headers: headers);
  }

}